singleton Material(Raven_R60_Body){
    mapTo = "Body";
    diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/Raven_R60/r60_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128"; pixelSpecular[0] = "1";
    specularPower[1] = "32"; pixelSpecular[1] = "1";
    specularPower[2] = "128"; pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Raven_R60_Interior_Old){
    mapTo = "Interior";
    diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/Raven_R60/r60_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128"; pixelSpecular[0] = "1";
    specularPower[1] = "32"; pixelSpecular[1] = "1";
    specularPower[2] = "128"; pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.1";
    diffuseColor[1] = "0.9 0.9 0.9 0.1";
    diffuseColor[2] = "0.9 0.9 0.9 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 3;
    materialTag0 = "beamng"; materialTag1 = "vehicle";diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    
};

singleton Material(R60_Nav)
{
    mapTo = "R60_Nav";
    diffuseMap[0] = "@R60Nav";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(R60_Guages)
{
    mapTo = "R60_Guages";
    diffuseMap[0] = "@R60Guages";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Raven_R60_Leather)
{
	mapTo = "Leather";
	diffuseColor[0] = "0.14 0.14 0.14 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_IntCloth)
{
	mapTo = "IntCloth";
	diffuseColor[0] = "0.7 0.7 0.7 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Floor)
{
	mapTo = "Floor";
	diffuseColor[0] = "0.1 0.1 0.1 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Front_plate)
{
	mapTo = "Front_plate";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Rear_plate)
{
	mapTo = "Rear_plate";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Mirror_001)
{
	mapTo = "Mirror_001";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Material_008)
{
	mapTo = "Material_008";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Fake_windows)
{
	mapTo = "Fake_windows";
	diffuseColor[0] = "0.2 0.2 0.2 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_BlackPlastic)
{
	mapTo = "BlackPlastic";
	diffuseColor[0] = "0.1 0.1 0.1 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_SilverPlastic)
{
	mapTo = "SilverPlastic";
	diffuseColor[0] = "0.4 0.4 0.4 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_EngineBlock)
{
	mapTo = "EngineBlock";
	diffuseColor[0] = "0.4 0.4 0.4 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_EngineChrome)
{
	mapTo = "EngineChrome";
	diffuseColor[0] = "0.6 0.6 0.6 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Wheel_arch)
{
	mapTo = "Wheel_arch";
	diffuseColor[0] = "0.1 0.1 0.1 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Bottom)
{
	mapTo = "R60_Bottom";
	diffuseColor[0] = "0.1 0.1 0.1 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Rear_lights)
{
	mapTo = "Rear_lights";
	diffuseColor[0] = "0.8 0.2 0.2 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Exhaust)
{
	mapTo = "Exhaust";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Chrome)
{
	mapTo = "Chrome";
	diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/Raven_R60/r60_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128"; pixelSpecular[0] = "1";
    specularPower[1] = "32"; pixelSpecular[1] = "1";
    specularPower[2] = "128"; pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 1";
    diffuseColor[1] = "0.9 0.9 0.9 1";
    diffuseColor[2] = "0.9 0.9 0.9 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 4;
    materialTag0 = "beamng"; materialTag1 = "vehicle";diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    
};

singleton Material(Raven_R60_Wheel_rim)
{
	mapTo = "Wheel_rim";
	diffuseColor[0] = "0.35 0.35 0.35 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Wheel_rim_black)
{
	mapTo = "Wheel_rim_black";
	diffuseColor[0] = "0.3 0.3 0.3 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Wheel_rim_Accent)
{
	mapTo = "Wheel_rim_Accent";
	diffuseColor[0] = "0.6 0.6 0.6 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Material_003)
{
	mapTo = "Material_003";
	diffuseColor[0] = "0.64 0.64 0.64 1";
	specular[0] = "0.5 0.5 0.5 1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};















singleton Material(Raven_R60_RoofBox)
{
	mapTo = "R60_RoofBox";
	diffuseMap[1] = "vehicles/Raven_R60/RoofBoxD.png";
	normalMap[0] = "vehicles/Raven_R60/RoofBoxN.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_RoofRack)
{
	mapTo = "R60_RoofRack";
	diffuseMap[1] = "vehicles/Raven_R60/R60_RoofRackD.png";
	normalMap[0] = "vehicles/Raven_R60/R60_RoofRackN.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_SeatFront)
{
	mapTo = "R60_FrontSeats";
	diffuseMap[1] = "vehicles/Raven_R60/R60_SeatFrontD.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_SeatRear)
{
	mapTo = "R60_SeatRear";
	diffuseMap[1] = "vehicles/Raven_R60/R60_SeatRearD.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_Interior)
{
	mapTo = "R60_Interior";
	diffuseMap[1] = "vehicles/Raven_R60/R60_InteriorD.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};





singleton Material(Raven_R60_Entertainment)
{
	mapTo = "R60_EntertainmentScreen";
	diffuseMap[1] = "vehicles/Raven_R60/R60_EntertainmentD.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};

singleton Material(Raven_R60_IntDial)
{
	mapTo = "R60_IntDial";
	diffuseMap[1] = "vehicles/Raven_R60/R60_IntDial.png";
	specular[0] = "0.5 0.5 0.5 0.1";
	specular[1] = "0.5 0.5 0.5 0.1";
	specular[2] = "0.5 0.5 0.5 0.1";
	specularPower[0] = "50";
	translucentBlendOp = "None";
};



















singleton Material(Raven_R60_BootBadge)
{
	mapTo = "R60_RavenBadgeBoot";
	diffuseMap[0] = "vehicles/Raven_R60/R60_BootLogo.png";
	//diffuseColor[0] = "0.4 0.4 0.4 1";
	specular[0] = "0.2 0.2 0.2 1";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	//specularPower[1] = "0";
    //pixelSpecular[1] = "0";
    //diffuseColor[0] = "1 1 1 1";
    //diffuseColor[1] = "1 1 1 0.9";
    useAnisotropic[0] = "0";
    useAnisotropic[1] = "0";
	castShadows = "0";
	translucent = "1";
	alphaTest = "0";
	alphaRef = "0";
	//translucentZWrite = "1";
};
singleton Material(Raven_R60_Badge)
{
	mapTo = "R60_Badge";
	diffuseMap[0] = "vehicles/Raven_R60/BootBadge_R60.png";
	//diffuseColor[0] = "0.4 0.4 0.4 1";
	specular[0] = "0.2 0.2 0.2 1";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	//specularPower[1] = "0";
    //pixelSpecular[1] = "0";
    //diffuseColor[0] = "1 1 1 1";
    //diffuseColor[1] = "1 1 1 0.9";
    useAnisotropic[0] = "0";
    useAnisotropic[1] = "0";
	castShadows = "0";
	translucent = "1";
	alphaTest = "0";
	alphaRef = "0";
	//translucentZWrite = "1";
};

singleton Material(Raven_R60_Mesh)
{
	mapTo = "Mesh";
	diffuseMap[0] = "vehicles/Raven_R60/grill.png";
	//diffuseColor[0] = "0.4 0.4 0.4 1";
	specular[0] = "0.2 0.2 0.2 1";
	specularPower[0] = "0";
	pixelSpecular[0] = "1";
	//specularPower[1] = "0";
    //pixelSpecular[1] = "0";
    //diffuseColor[0] = "1 1 1 1";
    //diffuseColor[1] = "1 1 1 0.9";
    useAnisotropic[0] = "0";
    useAnisotropic[1] = "0";
	castShadows = "0";
	translucent = "1";
	alphaTest = "0";
	alphaRef = "0";
	//translucentZWrite = "1";
};

singleton Material(R60_windows) //ETK800 glass
{
    mapTo = "Windows";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/Raven_R60/Window.png";
    opacityMap[0] = "vehicles/Raven_R60/Window.png";
    diffuseMap[1] = "vehicles/Raven_R60/Window.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(R60_glass) //ETK800 glass
{
    mapTo = "Glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etk800/etk800_glass_d.dds";
    opacityColor[0] = "0.5 0.5 0.5 1";
    diffuseColor[1] = "0.9 0.9 0.9 0.9";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(R60_RearLightGlass) //ETK800 glass
{
    mapTo = "RearLightGlass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etk800/etk800_glass_d.dds";
    opacityColor[0] = "0.5 0.5 0.5 1";
    diffuseColor[1] = "0.9 0.9 0.9 0.9";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.0 0.0 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Raven_R60_ChassisMetal)
{
	mapTo = "ChassisMetal";
	diffuseMap[2] = "vehicles/Raven_R60/r60_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/Raven_R60/r60_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128"; pixelSpecular[0] = "1";
    specularPower[1] = "32"; pixelSpecular[1] = "1";
    specularPower[2] = "128"; pixelSpecular[2] = "1";
    diffuseColor[0] = "0.4 0.4 0.4 1";
    diffuseColor[1] = "0.4 0.4 0.4 1";
    diffuseColor[2] = "0.4 0.4 0.4 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 4;
    dynamicCubemap = true;
};

